Cannot install gscan2pdf from AUR



Hi, I try to install gscan2pdf from AUR and have that error:

Budowanie perl-sane...
Cloning into 'perl-sane'...
remote: Counting objects: 4, done.        
remote: Compressing objects: 100% (4/4), done.        
remote: Total 4 (delta 0), reused 3 (delta 0)        
Unpacking objects: 100% (4/4), done.
==> Tworzenie pakietu: perl-sane 0.05-1 (czw, 21 wrz 2017, 13:55:02 CEST)
==> Sprawdzanie zależności potrzebnych do uruchomienia...
==> Sprawdzanie zależności potrzebnych do budowy...
==> Pobieranie źródeł...
  -> Pobieranie Sane-0.05.tar.gz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
==> BŁĄD: Błąd podczas pobierania
    Przerywam... ```

Can anyone help me ?


Did you read the AUR page for that package? Never install anything from AUR without reading the package page and the user comments. Your problem is mentioned there:

In short, the perl-sane dependency is broken. This is also a AUR package. So now you go to that AUR page:

You learn that the download link is not good anymore. And that there is a new correct link that you need to replace in the perl-sane PKGBUILD file.

Let us now if you need more help after this.
And, please, when asking help on a english language forum, please so try to translate error messages for us when putting up your screen output.


You need to reupdate link for perl-sane

  • Download its PKGBUILD
yaourt -G perl-sane
  • Go to the folder
cd perl-sane
  • Edit PKGBUILD and replace : 

  • Build the package
makepkg -sci
  • Then install gscan2pdf again

Always check AUR for info


It’s the “perl packages having to be rebuilt due to an update” issue

Besides checking the comments/notes in the AUR page for said package, also do a search in this forum.

The link I provided relates specifically to the perl updates affecting gscan2pdf.


This is clearly wrong. What OP experiencing is the package perl-sane failed to start building because of broken link as evidenced in its log :

curl: (22) The requested URL returned error: 404 Not Found
==> BŁĄD: Błąd podczas pobierania
    Przerywam... ```


Indeed. The new perl versioned path system is potentially also an issue to existing packages. But a completely separate and unrelated one to this particular problem.


You are right. I’d forgotten I had to correct the link location!

(I have gscan2pdf in a test Manjaro Budgie VM but don’t use it in my real metal installs)


Great, thak You for help, I will read AUR pages next time :slight_smile:


This topic was automatically closed 90 days after the last reply. New replies are no longer allowed.